// GLOBALS
$border-radius-root: 10px;
$border-radius-root: 5px;
//$material-light: (
//        'background': #e7eaef63
//);
$font-size-root: 16px;

// APP BAR
$app-bar-elevation: 0;
$shadow-key-umbra-opacity: rgba(#21394c, 0.2);
$shadow-key-penumbra-opacity: rgba(#21394c, 0.14);
$shadow-key-ambient-opacity: rgba(#21394c, 0.12);

// BTN
$btn-outline-border-width: 2px;
$btn-letter-spacing: 0;
$btn-font-weight: 500;
$btn-border-radius: 5px;
$btn-text-transform: none;
$btn-font-sizes: (
        'x-small': 16px,
        'small': 1rem,
        'default': 16px,
        'large': 20px,
);
$btn-sizes: (
        'x-small': 30,
        'small': 36,
        'default': 40,
        'large': 48,
);
$fab-sizes: (
        'x-small': 18,
        'small': 40,
        'default': 40,
);
$fab-icon-sizes: (
        'x-small': 14,
);

// TABS
$tab-font-size: 14px;
$tab-font-weight: normal;
$tabs-item-letter-spacing: 0;
$tabs-item-padding: 6px 12px;

// CHIPS
$chip-disabled-opacity: 1;
$chip-outlined-active-opacity: 1;
$chip-selected-opacity: 1;
$icon-outlined-border-width: 2px;
$icon-sizes: (
        'x-small': (
                'font-size': 10,
                'height': 16,
        ),
        'small': (
                'font-size': 12,
                'height': 24,
        ),
        'default': (
                'font-size': 14,
                'height': 32,
        ),
        'large': (
                'font-size': 16,
                'height': 40,
        ),
        'x-large': (
                'font-size': 18,
                'height': 66,
        ),
);

// EXPANSION PANELS
$expansion-panel-border-radius: 0;
$expansion-panel-active-margin: 0;
$expansion-panel-header-min-height: 80px;
$expansion-panel-active-header-min-height: 0;
$expansion-panel-header-font-size: 18px;
$expansion-panel-header-padding: 0;
$expansion-panel-content-padding: 0;

// LISTS
$list-border-radius: 10px;
$list-item-dense-title-font-size: 18px;
$list-item-dense-title-line-height: 24px;

// CARDS
$card-border-radius: 10px;
$card-elevation: 3;
$card-title-font-size: 22px;
$card-text-font-size: 16px;

// SNACKBAR
$snackbar-content-padding: 5px 16px;
$snackbar-border-radius: 10px;
$snackbar-content-font-size: 16px;
$snackbar-elevation: 0;

// MENU
$menu-content-border-radius: 10px;

// TABLE
$data-table-regular-header-font-size: 14px;
